// --------------------------------------------------------------- //
// MyEdit.cpp                                                      //
// --------------------------------------------------------------- //
#include "myedit.hpp"

// --------------------------------------------------------------- //
// Response table                                                  //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TMyEdit, TEdit)
END_RESPONSE_TABLE;


// --------------------------------------------------------------- //
// SetupWindow function                                            //
// --------------------------------------------------------------- //
void TMyEdit::SetupWindow ()
{
 TEdit::SetupWindow ();            //Call the base class function
 font = new TFont("courier");      //Create the font to use in this control
 SetWindowFont (*font, TRUE);      //Insert the font into the control
}


// --------------------------------------------------------------- //
// CleanupWindow function                                          //
// --------------------------------------------------------------- //
void TMyEdit::CleanupWindow ()
{
  delete font;                     //Free the memory used by the font
  TEdit::CleanupWindow ();         //Call the base class function
}

